> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vscode Status

> Get the VSCode server status.

Returns:
    Dictionary with running status and enabled status



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/vscode/status
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/vscode/status:
    get:
      tags:
        - VSCode
      summary: Get Vscode Status
      description: |-
        Get the VSCode server status.

        Returns:
            Dictionary with running status and enabled status
      operationId: get_vscode_status_api_vscode_status_get
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  anyOf:
                    - type: boolean
                    - type: string
                title: Response Get Vscode Status Api Vscode Status Get
                type: object
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.